# Minimums, Rate Limits & Fees

## API Rate Limit

The Swivel Exchange API has a API limit of 2000 requests per 5 minutes on a rolling basis. If you may need to exceed this limit, contact @JulianT to make a whitelist or feature request.

**Rate Limit**: 2000 requests / 5 min

We do not currently have a burst limit, which may introduce latency to requests that exceed expected burst rates.

## Minimums

### Minimum Order Size

In order to reduce the gas costs necessary for takers, and prevent potential DDOS through the submission of extremely small orders, we have implemented a minimum order size in terms of `Principal` (nTokens).

Each order must be placed with at or above this value in principal.

**Minimum Order Size:** 2500 nTokens (for stablecoin markets)

### Order Threshold Size

Similarly, in order to ensure orders with small amounts of dust dont fill our orderbook and bloat gas costs, we have also implemented a minimum order threshold in terms of `Principal` (nTokens).&#x20;

Once an order placed is majority filled, if its remaining `Pricipal` amount is less than this value, it will be removed from the orderbook.

**Order Threshold:** 1250 nTokens (for stablecoin markets)

## Fees

As one of the primary parameters for governance modulation alongside incentives, fees are likely to change over time.

Fees solely apply to takers and currently accrue to the swivel.sol contract. All fees other than nToken purchases are paid in USDC, while nToken purchases are paid in nTokens.

#### **Current Fees:**

**nToken Purchases:** .66%

**zcToken Sale (nToken Purchase):** 1%

**Fixed-Rate (nToken Sale):** .5%

**nToken Sale:** .5%


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.swivel.finance/swivel-v2.0.0/swivel-exchange/minimums-rate-limits-and-fees.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
